Company logoTrust Center Documentation
API v1 ReferenceContactsIdDocuments

List documents for a contact

Retrieve all available documents for the tenant with their sharing status for this contact. Browse request parameters, authentication requirements, response…

Retrieve all available documents for the tenant with their sharing status for this contact

GET
/api/v1/contacts/{id}/documents

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Contact ID

Response Body

application/json

curl -X GET "https://app.orbiqhq.com/api/v1/contacts/550e8400-e29b-41d4-a716-446655440000/documents"
{
  "documents": [
    {
      "id": "doc-123",
      "title": "SOC 2 Type II Report",
      "description": "Annual security audit report",
      "state": "published",
      "access_level": "restricted",
      "is_shared": true,
      "file": "https://app.orbiqhq.com/assets/doc-123.pdf",
      "category": {
        "id": "cat-compliance",
        "title": "Compliance"
      }
    }
  ]
}
Empty
Empty
Empty
Empty

How is this guide?